<?php

namespace App\Http\Controllers;

use Illuminate\Validation\Rule;
use Illuminate\Http\Request;

use App\Models\User;
use App\Models\Configuracion;
use App\Models\Movimiento;
use Illuminate\Support\Facades\Auth;

class GestorConfiguracionController extends Controller
{
    public function index()
    {

        $configuracion = Configuracion::where('id_configuracion', '=', 1)->first();
        //$configuracion = Configuracion::all();

        return view('gestor-configuracion-forma', ['configuracion' => $configuracion]);
    }


    // METODO DE MODIFICACION
    public function modificar(Request $request)
    {

        $validate = \Validator::make($request->all(), [
            //EJEMPLOS DE SANITIZACIÓN DE DATOS
            'nombre' => 'required|max:50|regex:/^[a-zA-ZÀ-ÖØ-öø-ÿ -]+(\s{0,1}[a-zA-ZÀ-ÖØ-öø-ÿ ])*$/',
            'porcentaje_comision' => 'required|min:0|max:99|numeric'
        ]);


        if ($validate->fails()) {
            // Hay Error de Validación
            return $validate->errors();
        }

        $update = Configuracion::where(['id_configuracion' => 1])->update([
            'nombre' => $request->input('nombre'),
            'porcentaje_comision' => $request->input('porcentaje_comision')
        ]);


        // REGISTRO DE MOVIMIENTO
        Movimiento::create(
            [
                'key_user' => Auth::id(),
                'seccion' => 'Gestor Configuracion',
                'opcion' => 'gestor-configuracion',
                'referencia' => 1
            ]
        );


        return 'success-modificacion-configuracion';
    }
}
