<?php

namespace App\Http\Controllers;

use Illuminate\Validation\Rule;
use Illuminate\Http\Request;
use App\Models\Multa;

class ReporteMultaController extends Controller
{

    public function index()
    {
        $limit = 5;
        $offset = 0;
        // LISTADO INICIAL DE MULTAS
        $multas = Multa::select('ce_multas.*', 'users.name as name', 'users.surname as surname')
            ->join('users', 'users.id', '=', 'ce_multas.key_user')
            ->skip($offset)->take($limit)->get();

        $data_query_count = Multa::select('ce_multas.*', 'users.name as name', 'users.surname as surname')
            ->join('users', 'users.id', '=', 'ce_multas.key_user')->get();
        $number_page = 1;
        $count_queries  = ceil($data_query_count->count() / $limit);
        return view('reporte-multas', compact('multas', 'number_page', 'count_queries'));
    }


    public function ajaxBuscar(Request $request)
    {
        $fecha_inicio_selected = $request->input('fecha_inicio_filtro') . " 00:00:00";
        $fecha_termino_selected = $request->input('fecha_termino_filtro') . " 23:59:59";
        $page = $request->input('page');

        if ($request->ajax()) {
            $limit = 5;
            $offset = ($page - 1) * $limit;
            $multas = Multa::select('ce_multas.*', 'users.name as name', 'users.surname as surname')
                ->join('users', 'users.id', '=', 'ce_multas.key_user')
                ->where(function ($query) use ($fecha_inicio_selected, $fecha_termino_selected, $request) {
                    if ($request->input('fecha_inicio_filtro') != $request->input('fecha_termino_filtro')) {
                        $query->whereBetween('ce_multas.fecha', [$fecha_inicio_selected, $fecha_termino_selected]);
                    }
                })->skip($offset)->take($limit)->get();


            $data_query_count  = Multa::select('ce_multas.*', 'users.name as name', 'users.surname as surname')
                ->join('users', 'users.id', '=', 'ce_multas.key_user')
                ->where(function ($query) use ($fecha_inicio_selected, $fecha_termino_selected, $request) {
                    if ($request->input('fecha_inicio_filtro') != $request->input('fecha_termino_filtro')) {
                        $query->whereBetween('ce_multas.fecha', [$fecha_inicio_selected, $fecha_termino_selected]);
                    }
                })->get();
            $count_queries = ceil($data_query_count->count() / $limit);
            $number_page = $request->input('page');
        }

        return view('ajax.reporte-multas_data', compact('multas', 'number_page', 'count_queries'))->render();
    }



    public function ajaxPaginacion(Request $request)
    {
        $fecha_inicio_selected = $request->input('fecha_inicio_filtro') . " 00:00:00";
        $fecha_termino_selected = $request->input('fecha_termino_filtro') . " 23:59:59";

        if ($request->ajax()) {

            $multas = Multa::select('ce_multas.*', 'users.name as name', 'users.surname as surname')
                ->join('users', 'users.id', '=', 'ce_multas.key_user')
                ->when((!empty($request->input('fecha_inicio_filtro')) && !empty($request->input('fecha_termino_filtro'))), function ($query) use ($fecha_inicio_selected, $fecha_termino_selected) {
                    $query->whereBetween('ce_multas.fecha', [$fecha_inicio_selected, $fecha_termino_selected]);
                })
                ->paginate(5);
        }

        return view('ajax.reporte-multas_data', compact('multas'))->render();
    }
}
