<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Transaccion;

class ReporteTransaccionController extends Controller
{
    public function index()
    {
        $limit = 5;
        $offset = 0;
        // CATEGORIAS PARA FILTRO
        $tipos = Transaccion::select('tipo_transaccion')->distinct()->get();

        // LISTADO INICIAL DE transacciones
        $transacciones = Transaccion::select('ce_transacciones.*', 'users.name as name', 'users.surname as surname')
            ->join('users', 'users.id', '=', 'ce_transacciones.key_user')
            ->skip($offset)->take($limit)->get();

        $data_query_count =  Transaccion::select('ce_transacciones.*', 'users.name as name', 'users.surname as surname')
            ->join('users', 'users.id', '=', 'ce_transacciones.key_user')->get();
        $number_page = 1;
        $count_queries  = ceil($data_query_count->count() / $limit);

        return view('reporte-transacciones', compact('transacciones', 'tipos', 'number_page', 'count_queries'));
    }


    public function ajaxBuscar(Request $request)
    {
        $tipo_selected = $request->input('tipo_filtro');
        $fecha_inicio_selected = $request->input('fecha_inicio_filtro') . " 00:00:00";
        $fecha_termino_selected = $request->input('fecha_termino_filtro') . " 23:59:59";
        $page = $request->input('page');

        if ($request->ajax()) {
            $limit = 5;
            $offset = ($page - 1) * $limit;

            // LISTADO DE transacciones FILTRADOS

            $transacciones = Transaccion::select('ce_transacciones.*', 'users.name as name', 'users.surname as surname')
                ->join('users', 'users.id', '=', 'ce_transacciones.key_user')
                ->where(function ($query) use ($fecha_inicio_selected, $fecha_termino_selected, $tipo_selected, $request) {
                    if ($request->input('fecha_inicio_filtro') != $request->input('fecha_termino_filtro')) {
                        $query->whereBetween('ce_transacciones.fecha', [$fecha_inicio_selected, $fecha_termino_selected]);
                    }
                    if ($tipo_selected != "") {
                        $query->where('ce_transacciones.tipo_transaccion', '=', $tipo_selected);
                    }
                })->skip($offset)->take($limit)->get();

            $data_query_count  = Transaccion::select('ce_transacciones.*', 'users.name as name', 'users.surname as surname')
                ->join('users', 'users.id', '=', 'ce_transacciones.key_user')
                ->where(function ($query) use ($fecha_inicio_selected, $fecha_termino_selected, $tipo_selected, $request) {
                    if ($request->input('fecha_inicio_filtro') != $request->input('fecha_termino_filtro')) {
                        $query->whereBetween('ce_transacciones.fecha', [$fecha_inicio_selected, $fecha_termino_selected]);
                    }
                    if ($tipo_selected != "") {
                        $query->where('ce_transacciones.tipo_transaccion', '=', $tipo_selected);
                    }
                })->get();
            $count_queries = ceil($data_query_count->count() / $limit);
            $number_page = $request->input('page');
        }

        return view('ajax.reporte-transacciones_data', compact('transacciones', 'number_page', 'count_queries'))->render();
    }



    //public function ajaxPaginacion($page, $tipo, $fecha_inicio, $fecha_termino)
    public function ajaxPaginacion(Request $request)
    {
        /*$tipo_selected = $tipo;
        $fecha_inicio_selected = $fecha_inicio;
        $fecha_termino_selected = $fecha_termino;*/


        $tipo_selected = $request->input('tipo_filtro');
        $fecha_inicio_selected = $request->input('fecha_inicio_filtro') . " 00:00:00";
        $fecha_termino_selected = $request->input('fecha_termino_filtro') . " 23:59:59";
        $page = $request->input('page');

        if ($request->ajax()) {
            $limit = 5;
            $offset = ($page - 1) * $limit;

            // LISTADO DE transacciones FILTRADOS

            $transacciones = Transaccion::select('ce_transacciones.*', 'users.name as name', 'users.surname as surname')
                ->join('users', 'users.id', '=', 'ce_transacciones.key_user')
                ->where(function ($query) use ($fecha_inicio_selected, $fecha_termino_selected, $tipo_selected) {
                    if ($fecha_inicio_selected != $fecha_termino_selected) {
                        $query->whereBetween('ce_transacciones.fecha', [$fecha_inicio_selected, $fecha_termino_selected]);
                    } else {
                        $query->where('ce_transacciones.fecha', $fecha_inicio_selected);
                    }
                    if ($tipo_selected != "") {
                        $query->where('ce_transacciones.tipo_transaccion', '=', $tipo_selected);
                    }
                })->skip($offset)->take($limit)->get();

            $data_query_count  = Transaccion::select('ce_transacciones.*', 'users.name as name', 'users.surname as surname')
                ->join('users', 'users.id', '=', 'ce_transacciones.key_user')
                ->where(function ($query) use ($fecha_inicio_selected, $fecha_termino_selected, $tipo_selected) {
                    if ($fecha_inicio_selected != $fecha_termino_selected) {
                        $query->whereBetween('ce_transacciones.fecha', [$fecha_inicio_selected, $fecha_termino_selected]);
                    } else {
                        $query->where('ce_transacciones.fecha', $fecha_inicio_selected);
                    }
                    if ($tipo_selected != "") {
                        $query->where('ce_transacciones.tipo_transaccion', '=', $tipo_selected);
                    }
                })->get();
            $count_queries = ceil($data_query_count->count() / $limit);
            $number_page = $request->input('page');
        }

        return view('ajax.reporte-transacciones_data', compact('transacciones', 'number_page', 'count_queries'))->render();
    }
}
