<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Cliente;
use App\Models\Cadian;
use App\Models\TipoCadian;
use App\Models\TipoCliente;

class ReporteUsuarioController extends Controller
{

    public function index()
    {
        $limit = 5;
        $offset = 0;
        $tipos = TipoCadian::all();

        $data = Cadian::where('key_tipo_cadian', 1)
            ->where('estatus', 1)
            ->skip($offset)->take($limit)->get();

        $data_query_count  = Cadian::where('key_tipo_cadian', 1)
            ->where('estatus', 1)->get();

        $number_page = 1;
        $count_queries  = ceil($data_query_count->count() / $limit);
        return view('reporte-usuarios', compact('data', 'tipos', 'number_page', 'count_queries'));
    }


    public function ajaxBuscarTipo($clase)
    {

        if ($clase == 1) {
            $tipos = TipoCadian::all();
        }

        if ($clase == 2) {
            $tipos = TipoCliente::all();
        }
        return $tipos;
    }


    public function ajaxBuscar(Request $request)
    {
        $clase_selected = $request->input('clase');
        $tipo_selected = $request->input('tipo');
        $estatus_selected = $request->input('estatus');
        $page = $request->input('page');
        if ($request->ajax()) {
            $limit = 5;
            $offset = ($page - 1) * $limit;
            if ($clase_selected == 1) {
                $data = Cadian::where('key_tipo_cadian', $tipo_selected)
                    ->where('estatus', $estatus_selected)
                    ->skip($offset)->take($limit)->get();
                $data_query_count  =  Cadian::where('key_tipo_cadian', $tipo_selected)
                    ->where('estatus', $estatus_selected)->get();
            } else {
                $data = Cliente::where('key_tipo_cliente', $tipo_selected)
                    ->where('estatus', $estatus_selected)
                    ->skip($offset)->take($limit)->get();
                $data_query_count = Cliente::where('key_tipo_cliente', $tipo_selected)
                    ->where('estatus', $estatus_selected)
                    ->skip($offset)->take($limit)->get();
            }

            $number_page = $page;
            $count_queries  = ceil($data_query_count->count() / $limit);
            return view('ajax.reporte-usuarios_data', compact('data', 'number_page', 'count_queries'))->render();
        }
    }

    public function ajaxPaginacion(Request $request)
    {
        $clase_selected = $request->input('clase');
        $tipo_selected = $request->input('tipo');
        $estatus_selected = $request->input('estatus');

        if ($request->ajax()) {

            if ($clase_selected == 1) {
                $data = Cadian::when(!empty($tipo_selected), function ($query) use ($tipo_selected) {
                    $query->where('key_tipo_cadian', '=', $tipo_selected);
                })
                    ->when(!empty($estatus_selected), function ($query) use ($estatus_selected) {
                        $query->where('estatus', '=', $estatus_selected);
                    })
                    ->paginate(5);
            } else {
                $data = Cliente::when(!empty($tipo_selected), function ($query) use ($tipo_selected) {
                    $query->where('key_tipo_cliente', '=', $tipo_selected);
                })
                    ->when(!empty($estatus_selected), function ($query) use ($estatus_selected) {
                        $query->where('estatus', '=', $estatus_selected);
                    })
                    ->paginate(5);
            }


            return view('ajax.reporte-usuarios_data', compact('data'))->render();
        }
    }
}
