<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Blog extends Model
{
    protected $table = 'ci_blog';
    protected $primaryKey = 'id';

    protected $fillable = [
        'titulo',
        'url_seo',
        'img_miniatura',
        'descripcion',
        'publicada',
        'eliminada',
        'key_subcategoria'
    ];

    protected $hidden = [
        'fecha_crea'
    ];

    public $timestamps = false;

    //Relación con tabla 'subcategoria'
    public function subcategoria()
    {
        return $this->belongsTo('App\Models\SubCategoriaBlog', 'id');
    }
}
