<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cadian extends Model
{
    protected $table = 'ce_cadians';
    protected $primaryKey = 'id_cadian';

    protected $fillable = [
        'key_user',
        'id_cadian',
        'nombre',
        'apellidos',
        'key_provincia',
        'key_municipio',
        'key_distrito',
        'key_servicios',
        'key_habilidades',
        'tarifa_hora',
        'numero',
        'direccion',
        'key_tipo_cadian',
        'key_genero',
        'correo',
        'telefono',
        'foto',
        'acerca_de_mi',
        'puesto',
        'key_dni',
        'foto_dni',
        'foto_dni_comprobacion',
        'comprobante_factura',
        'carta_no_antecedentes',
        'key_formacion',
        'key_idiomas',
        'key_uso_pc',
        'key_forma_pago',
        'estatus'
    ];

    protected $hidden = [
        'fecha_crea'
    ];

    public $timestamps = false;

    //Relación con tabla 'users'
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'id');
    }
}
