<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Cliente extends Model
{
    protected $table = 'ce_clientes';

    protected $primaryKey = 'id_cliente';

    protected $fillable = [
        'id_cliente',
        'nombre',
        'apellidos',
        'numero',
        'direccion',
        'key_provincia',
        'key_municipio',
        'key_distrito',
        'tipo_cliente',
        'key_genero',
        'correo',
        'telefono',
        'foto',
        'acerca_de_mi',
        'puesto',
        'key_dni',
        'foto_dni',
        'foto_dni_comprobacion',
        'forma_pago',
        'estatus'
    ];

    protected $hidden = [
        'fecha_crea', 'key_user'
    ];

    public $timestamps = false;

    //Relación con tabla 'users'
    public function user()
    {
        return $this->belongsTo('App\Models\User', 'id');
    }
}
