let estatus = 2;

$(document).ready(function () {

    $(document).on('click', '.pagination a', function (event) {
        event.preventDefault();
        var page = $(this).attr('href').split('page=')[1];
        /* fetch_data(page); */
    });

    $(document).on('click', '.suspender, .autorizar, .rechazar, .cancelar', function (event) {
        event.preventDefault();

        let id_cliente = $(this).data('id');
        let estatus = $(this).data('estatus');

        let formData = new FormData();
        formData.append('id_cliente', id_cliente);
        formData.append('estatus', estatus);

        $.ajax({
            url: "estatus-clientes/cambiar",
            data: formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method: "POST",
            processData: false,
            contentType: false,
            success: function (data) {
                if (data == 'success') {

                    Swal.fire({
                        icon: 'success',
                        title: '¡Bien!',
                        text: 'Estatus de Cliente cambiado con éxito.'
                    })

                    setTimeout(function () { location.reload(); }, 1500);
                }
                else {
                    Swal.fire({
                        icon: 'error',
                        title: 'UPS',
                        text: data
                    })
                }
            }
        });
    });


    function fetch_data(page) {

        let busqueda = $('#cliente_buscar').val();

        $.ajax({
            url: "estatus-clientes/fetch_data?page=" + page + "&estatus=" + estatus + "&busqueda=" + busqueda,
            success: function (data) {
                $('#table_data').html(data);
            }
        });
    }

    function ejecutarPeticionAjaxBuscar(page) {
        //$(document).on('click', '#buscar', function(event){
        //event.preventDefault(); 

        let busqueda = $('#cliente_buscar').val();
        estatus = $('#estatus_filter').val();

        let formData = new FormData();
        formData.append('busqueda', busqueda);
        formData.append('estatus', estatus);
        formData.append('page', page);
        $.ajax({
            url: "estatus-clientes/buscar",
            data: formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method: "POST",
            processData: false,
            contentType: false,
            success: function (data) {
                $('#table_data').html(data);
            }
        });
        //});
    }

    //BUSCAR CADIANS
    $(document).on('click', '#buscar', function (event) {
        event.preventDefault();

        ejecutarPeticionAjaxBuscar(1);
    });

    $('#cliente_buscar').keypress(function (event) {
        var keycode = (event.keyCode ? event.keyCode : event.which);
        if (keycode == '13') {

            ejecutarPeticionAjaxBuscar(1);

        }
    });

    //VER DOCUMENTOS DE CADIAN

    $(document).on('click', '.doctos', function (event) {
        event.preventDefault();

        let id_cliente = $(this).data('id');

        let formData = new FormData();
        formData.append('id_cliente', id_cliente);

        $.ajax({
            url: "estatus-clientes/ver-doctos",
            data: formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method: "POST",
            processData: false,
            contentType: false,
            success: function (data) {
                $('#docto_data').html(data);
            }
        });
    });

    //RECHAZAR DOCUMENTOS
    $(document).on('click', '#rechazar_docs', function (event) {
        event.preventDefault();

        $('#modal-default').modal('toggle');
        let id_cliente = $(this).data('id');

        Swal.fire({
            title: 'Motivo del rechazo de documentos',
            input: 'text',
            inputAttributes: {
                autocapitalize: 'off'
            },
            showCancelButton: true,
            confirmButtonText: 'Enviar',
            showLoaderOnConfirm: true,
            preConfirm: (login) => {
                let form = new FormData();
                form.append('texto', login);
                form.append('id_cliente', id_cliente);

                return fetch('estatus-clientes/rechazar-doctos', {
                    method: 'POST',
                    body: form,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                }).then(response => {
                    if (!response.ok) {
                        throw new Error(response)
                    }
                    return response.json()
                })
                    .catch(error => {
                        Swal.showValidationMessage(
                            `Request failed: ${error}`
                        )
                    })
            },
            allowOutsideClick: () => !Swal.isLoading()
        }).then((result) => {
            if (result.value.statusText == 'exito') {
                Swal.fire({
                    icon: 'success',
                    title: 'Muy bien',
                    text: 'Documentos del usuario rechazados con éxito'
                });
                setTimeout(function () { location.href = 'estatus-clientes'; }, 1000);
            }
        });

    });

    ////////////////////////////////

    //ACEPTAR DOCUMENTOS
    $(document).on('click', '#aceptar_documento', function (event) {
        event.preventDefault();

        let id_cliente = $(this).data('id');
        let estatus = $(this).data('estatus');
        let documento = $(this).data('documento');

        let formData = new FormData();
        formData.append('id_cliente', id_cliente);
        formData.append('estatus', estatus);
        formData.append('documento', documento);

        $.ajax({
            url: "estatus-clientes/aceptar-documento",
            data: formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method: "POST",
            processData: false,
            contentType: false,
            success: function (data) {
                if (data == 'exito') {
                    $('#modal-default').modal('toggle');

                    Swal.fire({
                        icon: 'success',
                        title: '¡Aceptado!',
                        text: 'El documento: ' + documento + ', fue aprobado con éxito'
                    })
                }
                else {
                    Swal.fire({
                        icon: 'error',
                        title: 'UPS',
                        text: data
                    })
                }
            }
        });
    });

    //RECHAZAR DOCUMENTOS
    $(document).on('click', '#rechazar_documento', function (event) {
        event.preventDefault();

        let id_cliente = $(this).data('id');
        let estatus = $(this).data('estatus');
        let documento = $(this).data('documento');

        let formData = new FormData();
        formData.append('id_cliente', id_cliente);
        formData.append('estatus', estatus);
        formData.append('documento', documento);

        $.ajax({
            url: "estatus-clientes/rechazar-documento",
            data: formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method: "POST",
            processData: false,
            contentType: false,
            success: function (data) {
                if (data == 'exito') {
                    $('#modal-default').modal('toggle');

                    Swal.fire({
                        icon: 'info',
                        title: '¡Rechazado!',
                        text: 'El documento: ' + documento + ', fue rechazado'
                    })
                }
                else {
                    Swal.fire({
                        icon: 'error',
                        title: 'UPS',
                        text: data
                    })
                }
            }
        });
    });


    //VOLVER A REVISAR DOCUMENTOS
    $(document).on('click', '#volver_revisar_documento', function (event) {
        event.preventDefault();

        let id_cliente = $(this).data('id');
        let estatus = $(this).data('estatus');
        let documento = $(this).data('documento');

        let formData = new FormData();
        formData.append('id_cliente', id_cliente);
        formData.append('estatus', estatus);
        formData.append('documento', documento);

        $.ajax({
            url: "estatus-clientes/volver-revisar-documento",
            data: formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method: "POST",
            processData: false,
            contentType: false,
            success: function (data) {
                if (data == 'exito') {
                    $('#modal-default').modal('toggle');

                    Swal.fire({
                        icon: 'info',
                        title: '¡Volver a revisar!',
                        text: 'El documento: ' + documento + ', se puede volver a revisar.'
                    })
                }
                else {
                    Swal.fire({
                        icon: 'error',
                        title: 'UPS',
                        text: data
                    })
                }
            }
        });
    });

});