
$(document).ready(function(){

    function toSeoUrl(texto) {
        return texto.toString()               // Convert to string
            .normalize('NFD')               // Change diacritics
            .replace(/[\u0300-\u036f]/g,'') // Remove illegal characters
            .replace(/\s+/g,'-')            // Change whitespace to dashes
            .toLowerCase()                  // Change to lowercase
            .replace(/&/g,'-and-')          // Replace ampersand
            .replace(/[^a-z0-9\-]/g,'')     // Remove anything that is not a letter, number or dash
            .replace(/-+/g,'-')             // Remove duplicate dashes
            .replace(/^-*/,'')              // Remove starting dashes
            .replace(/-*$/,'');             // Remove trailing dashes
    }
    
    const editors = {};

    function createEditor( elementId ) {
        
        return ClassicEditor
            .create( document.getElementById( elementId ))
            .then( editor => {
                editor.editing.view.change( writer => {
                    writer.setStyle( 'height', '400px', editor.editing.view.document.getRoot() );
                } );
                editors[ elementId ] = editor;
            } )
            .catch( err => console.error( err.stack ) );
    }

    // In real life, you may also need to take care of the returned promises.
    createEditor( 'editor1' );


    // CLASIFICAR Y LLENAR FILTRO

    $(document).on('change', '#id_categoria', function(event){
        event.preventDefault(); 

        id_categoria = $('#id_categoria').val();

        //console.log(id_categoria);
        
        $.ajax({
            url:"../gestor-blog/subcategorias/"+id_categoria,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success:function(data)
            {
                $("#id_subcategoria").empty().append('');
                $.each(data,function(key, registro) {

                    $("#id_subcategoria").append('<option value='+registro.id+'>'+registro.nombre+'</option>');

                }); 
                //console.log(data);
            }
        });
    });

    //NUEVO ITEM 
    $(document).on('click', '#guardar', function(event){
        event.preventDefault();

        var titulo = $('#titulo').val();
        var url_seo = toSeoUrl(titulo);
        var img_miniatura = $('#img_miniatura').val();
        var id_subcategoria = $('#id_subcategoria').val();

        var ckeditor = editors.editor1.getData();
        var descripcion = ckeditor;

        let formData = new FormData();
        // USUARIO
        formData.append('titulo', titulo);
        formData.append('url_seo', url_seo);
        formData.append('img_miniatura', $('#img_miniatura')[0].files[0]);
        formData.append('descripcion', descripcion);
        formData.append('id_subcategoria', id_subcategoria);

        $.ajax({
            url:"../gestor-blog/guardar",
            data:formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method:"POST",
            processData: false,
            contentType: false,
            success:function(data)
            {
                if(data == 'success-tutorial-guardar'){
                    $('#modal-default').modal('toggle');
                    
                    Swal.fire({
                        icon: 'success',
                        title: '¡Bien!',
                        text: 'Datos guardados con éxito.'
                    });
                    setTimeout(function(){ location.href = '../gestor-blog'; }, 1000);
                 }
                 else{
                    Swal.fire({
                        icon: 'error',
                        title: 'Atención',
                        text: 'Debe de ingresar todos los datos.'+data
                    })
                }
            }
        });
    });


   
});


    