
$(document).ready(function(){
    
    $(document).on('click', '.pagination a', function(event){
     event.preventDefault(); 
     var page = $(this).attr('href').split('page=')[1];
     fetch_data(page);
    });

    function fetch_data(page)
    {
        categoria_filtro = $('#categoria_filtro').val();
        subcategoria_filtro = $('#subcategoria_filtro').val();

        $.ajax({
            method:"GET",
            url:"gestor-blog/fetch_data?page="+page+"&categoria_filtro="+categoria_filtro+"&subcategoria_filtro="+subcategoria_filtro,
            success:function(data)
            {
                $('#table_data').html(data);
            }
        });
    }

    // CLASIFICAR Y LLENAR FILTRO

    $(document).on('change', '#categoria_filtro', function(event){
        event.preventDefault(); 

        id_categoria = $('#categoria_filtro').val();

        //console.log(id_categoria);
        
        $.ajax({
            url:"gestor-blog/subcategorias/"+id_categoria,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success:function(data)
            {
                $("#subcategoria_filtro").empty().append('');
                $.each(data,function(key, registro) {

                    $("#subcategoria_filtro").append('<option value='+registro.id+'>'+registro.nombre+'</option>');

                }); 
                //console.log(data);
            }
        });
    });

    function ejecutarPeticionAjaxBuscar(){
        let categoria_filtro = $('#categoria_filtro').val();
        let subcategoria_filtro = $('#subcategoria_filtro').val();

        let formData = new FormData();
        formData.append('categoria_filtro', categoria_filtro);
        formData.append('subcategoria_filtro', subcategoria_filtro);

        console.log(categoria_filtro+' - '+subcategoria_filtro);

        $.ajax({
            url:"gestor-blog/buscar",
            data:formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method:"POST",
            processData: false,
            contentType: false,
            success:function(data)
            {
                $('#table_data').html(data);
                //console.log(data);
            }
        });
    }

    //BUSCAR TUTORIAL
    $(document).on('click', '#buscar', function(event){
        event.preventDefault(); 

        ejecutarPeticionAjaxBuscar();
    });


    //VER DATOS DE PREGUNTA

    $(document).on('click', '.eliminar', function(event){
        event.preventDefault(); 

        let id = $(this).data('id');

        let formData = new FormData();
        formData.append('id', id);

        $.ajax({
            url:"gestor-blog/ver-publicacion",
            data:formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method:"POST",
            processData: false,
            contentType: false,
            success:function(data)
            {
                $('#data_publicacion').html(data);
            }
        });
    });

    // ELIMINAR PUBLICACIÓN
    $(document).on('click', '#publicacion_eliminar', function(event){
        event.preventDefault(); 
        
        $('#modal-default').modal('toggle');
        
        let id = $(this).data('id');

        let formData = new FormData();
        formData.append('id', id);

        $.ajax({
            url:"gestor-blog/eliminar-publicacion",
            data:formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method:"POST",
            processData: false,
            contentType: false,
            success:function(data)
            {
             if(data == 'success-blog-eliminar'){

                Swal.fire({
                    icon: 'success',
                    title: '¡Bien!',
                    text: 'Publicacion eliminada con éxito.'
                  })

                setTimeout(function(){ location.reload(); }, 1500);
             }
             else{
                Swal.fire({
                    icon: 'error',
                    title: 'UPS',
                    text: data
                  })
             }
            }
        });
    });

    
});

