
$(document).ready(function(){

    function toSeoUrl(texto) {
        return texto.toString()               // Convert to string
            .normalize('NFD')               // Change diacritics
            .replace(/[\u0300-\u036f]/g,'') // Remove illegal characters
            .replace(/\s+/g,'-')            // Change whitespace to dashes
            .toLowerCase()                  // Change to lowercase
            .replace(/&/g,'-and-')          // Replace ampersand
            .replace(/[^a-z0-9\-]/g,'')     // Remove anything that is not a letter, number or dash
            .replace(/-+/g,'-')             // Remove duplicate dashes
            .replace(/^-*/,'')              // Remove starting dashes
            .replace(/-*$/,'');             // Remove trailing dashes
    }

    //GUARDAR PREGUNTA 
    $(document).on('click', '#guardar', function(event){
        event.preventDefault();

        var id_categoria = $('#id_categoria').val();
        var pregunta = $('#pregunta').val();
        var url_seo = toSeoUrl(pregunta);
        var respuesta = $('#respuesta').val();

        let formData = new FormData();
        
        formData.append('id_categoria', id_categoria);
        formData.append('pregunta', pregunta);
        formData.append('url_seo', url_seo);
        formData.append('respuesta', respuesta);

        $.ajax({
            url:"../gestor-faqs/guardar",
            data:formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method:"POST",
            processData: false,
            contentType: false,
            success:function(data)
            {
                if(data == 'success-pregunta-guardar'){
                    $('#modal-default').modal('toggle');
                    
                    Swal.fire({
                        icon: 'success',
                        title: '¡Bien!',
                        text: 'Datos guardados con éxito.'
                    });
                    setTimeout(function(){ location.href = '../gestor-faqs'; }, 1000);
                 }
                 else{
                    Swal.fire({
                        icon: 'error',
                        title: 'Atención',
                        text: 'Debe de ingresar todos los datos.'+data
                    })
                }
            }
        });
    });


    //ACTUALIZAR PREGUNTA 
    $(document).on('click', '#actualizar', function(event){
        event.preventDefault();

        var id_pregunta = $('#id_pregunta').val();
        var id_categoria = $('#id_categoria').val();
        var pregunta = $('#pregunta').val();
        var url_seo = toSeoUrl(pregunta);
        var respuesta = $('#respuesta').val();

        let formData = new FormData();
        
        formData.append('id_pregunta', id_pregunta);
        formData.append('id_categoria', id_categoria);
        formData.append('pregunta', pregunta);
        formData.append('url_seo', url_seo);
        formData.append('respuesta', respuesta);

        $.ajax({
            url:"../../gestor-faqs/modificar",
            data:formData,
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            method:"POST",
            processData: false,
            contentType: false,
            success:function(data)
            {
                if(data == 'success-pregunta-modificar'){
                    $('#modal-default').modal('toggle');
                    
                    Swal.fire({
                        icon: 'success',
                        title: '¡Bien!',
                        text: 'Datos modificados con éxito.'
                    });
                    setTimeout(function(){ location.href = '../../gestor-faqs'; }, 1000);
                 }
                 else{
                    Swal.fire({
                        icon: 'error',
                        title: 'Atención',
                        text: 'Debe de ingresar todos los datos.'+data
                    })
                }
            }
        });
    });
   
});


    