

$(document).ready(function () {

  $(document).on('click', '.pagination a', function (event) {
    event.preventDefault();
    var page = $(this).attr('href').split('page=')[1];
    fetch_data(page);
  });

  function fetch_data(page) {

    busqueda = $('#busqueda_filtro').val();
    estatus = $('#estatus_filtro').val();

    $.ajax({
      method: "GET",
      url: "reporte-balances-pendientes/fetch_data?page=" + page + "&busqueda_filtro=" + busqueda + "&estatus_filtro=" + estatus,
      success: function (data) {
        $('#table_data').html(data);
      }
    });
  }

  //BUSCAR CADIANS
  $(document).on('click', '#buscar', function (event) {
    event.preventDefault();
    ejecutarPeticionAjaxBuscar(1);

  });

  function ejecutarPeticionAjaxBuscar(page) {
    busqueda = $('#busqueda_filtro').val();
    estatus = $('#estatus_filtro').val();

    let formData = new FormData();
    formData.append('busqueda_filtro', busqueda);
    formData.append('estatus_filtro', estatus);
    formData.append('page', page);
    $.ajax({
      url: "reporte-balances-pendientes/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function (data) {
        $('#table_data').html(data);
      }
    });
  }


  //VER DOCUMENTOS DE CADIAN

  $(document).on('click', '.liberar, .cancelar', function (event) {
    event.preventDefault();

    let id_reserva = $(this).data('key');
    let accion = $(this).data('accion');

    let formData = new FormData();
    formData.append('id_reserva', id_reserva);
    formData.append('accion', accion);

    $.ajax({
      url: "reporte-balances-pendientes/datos-reserva",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function (data) {
        $('#reserva_data').html(data);
      }
    });
  });

  //LIBERAR PAGO
  $(document).on('click', '#liberar_pago', function (event) {
    event.preventDefault();

    $('#modal-default').modal('toggle');
    let id_balancep = $(this).data('id');
    let key_referencia = $(this).data('key');
    let id_reserva = $(this).data('reserva');

    Swal.fire({
      title: '¿Deseas liberar el pago?',
      showCancelButton: true,
      confirmButtonText: 'Liberar',
      showLoaderOnConfirm: true,
      preConfirm: (login) => {
        let form = new FormData();
        form.append('texto', login);
        form.append('id_balancep', id_balancep);
        form.append('key_referencia', key_referencia);
        form.append('id_reserva', id_reserva);

        return fetch('reporte-balances-pendientes/liberar-balance-pendiente', {
          method: 'POST',
          body: form,
          headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }
        }).then(response => {
          if (!response.ok) {
            throw new Error(response)
          }
          return response.json()
        })
          .catch(error => {
            Swal.showValidationMessage(
              `Request failed: ${error}`
            )
          })
      },
      allowOutsideClick: () => !Swal.isLoading()
    }).then((result) => {
      if (result.value.statusText == 'exito') {
        Swal.fire({
          icon: 'success',
          title: 'Pago de Reserva',
          text: 'Pago liberado con éxito'
        });
        setTimeout(function () { location.href = 'reporte-balances-pendientes'; }, 1000);
      }
    });

  });

  //CANCELAR BALANCE PENDIENTE 
  $(document).on('click', '#cancelar_pago', function (event) {
    event.preventDefault();

    $('#modal-default').modal('toggle');
    let id_balancep = $(this).data('id');
    let key_referencia = $(this).data('key');
    let id_reserva = $(this).data('reserva');

    Swal.fire({
      title: '¿Deseas cancelar el pago?',
      showCancelButton: true,
      confirmButtonText: 'Cancelar',
      showLoaderOnConfirm: true,
      preConfirm: (login) => {
        let form = new FormData();
        form.append('texto', login);
        form.append('id_balancep', id_balancep);
        form.append('key_referencia', key_referencia);
        form.append('id_reserva', id_reserva);

        return fetch('reporte-balances-pendientes/cancelar-balance-pendiente', {
          method: 'POST',
          body: form,
          headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
          }
        }).then(response => {
          if (!response.ok) {
            throw new Error(response)
          }
          return response.json()
        })
          .catch(error => {
            Swal.showValidationMessage(
              `Request failed: ${error}`
            )
          })
      },
      allowOutsideClick: () => !Swal.isLoading()
    }).then((result) => {
      if (result.value.statusText == 'exito') {
        Swal.fire({
          icon: 'success',
          title: 'Cancelacion de Pago de Reserva',
          text: 'Pago cancelado con éxito'
        });
        setTimeout(function () { location.href = 'reporte-balances-pendientes'; }, 1000);
      }
    });

  });
});