@inject('estatusCliente', 'App\Http\Controllers\EstatusClienteController')
<div class="table-responsive">
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col">Nombre</th>
        <th scope="col">Correo</th>
        <th scope="col">Fecha registro</th>
        <th scope="col">Ciudad</th>
        <th scope="col">Estatus</th>
        <th scope="col">Acciones</th>
      </tr>
    </thead>
    @if (count($data) > 0)
    <tbody id="load">
      @foreach($data as $row)
      <tr>
        <th scope="row">
          <span class="mb-0 text-sm">{{ $row->nombre }}</span>
        </th>
        <td>
          <span class="mb-0 text-sm">{{ $row->correo }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->fecha_crea }}</span>
        </td>
        <td>
          Ciudad
        </td>
        <td>
          {!!$estatusCliente->showEstatus($row->estatus)!!}
        </td>
        <td class="text-left">
          @if ($row->estatus == 1 || $row->estatus == 2)
          <div class="dropdown">
            <a class="btn btn-sm btn-icon-only text-light" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-ellipsis-v"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">
              @if ($row->estatus == 1)
              <a class="dropdown-item suspender" data-id="{{$row->id_cliente}}" data-estatus="3" href="#">Suspender</a>
              <a class="dropdown-item cancelar" data-id="{{$row->id_cliente}}" data-estatus="4" href="#">Cancelar</a>
              @elseif ($row->estatus == 2)
              <a class="dropdown-item doctos" data-toggle="modal" data-target="#modal-default" data-id="{{$row->id_cliente}}" href="#">Ver Documentos</a>
              @endif
            </div>
          </div>
          @else
          ...
          @endif
        </td>
      </tr>
      @endforeach
    </tbody>
    @endif
  </table>
  @include('ajax.paginacion')
</div>

<script>
  function ejecutarPeticionAjaxBuscar(page) {
    let busqueda = $('#cliente_buscar').val();
    estatus = $('#estatus_filter').val();

    let formData = new FormData();
    formData.append('busqueda', busqueda);
    formData.append('estatus', estatus);
    formData.append('page', page);
    $.ajax({
      url: "estatus-clientes/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function(data) {
        $('#table_data').html(data);
      }
    });
  }
</script>