<div class="table-responsive">
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col" width="20%">Categoria</th>
        <th scope="col" width="30%">Pregunta</th>
        <th scope="col" width="35%">Respuesta</th>
        <th scope="col" width="15%">
          <div align="center">Acciones</div>
        </th>
      </tr>
    </thead>
    @if (count($preguntas) > 0)
    <tbody id="load">
      @foreach($preguntas as $row)
      <tr>
        <th scope="row">
          <span class="mb-0 text-sm">{{ $row->nombre }}</span>
        </th>
        <td>
          <span class="mb-0 text-sm">{{ $row->pregunta }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{!! substr ($row->respuesta, 0, 40) !!}...</span>
        </td>
        <td class="text-center">
          <div class="dropdown">
            <a class="btn btn-sm btn-icon-only text-light" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-ellipsis-v"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">

              <a class="dropdown-item modificar" href="gestor-faqs/editar/{{$row->id_pregunta}}">Modificar pregunta</a>
              <a class="dropdown-item pregunta" data-toggle="modal" data-target="#modal-default" data-id="{{$row->id_pregunta}}" href="#">Eliminar pregunta</a>

            </div>
          </div>
        </td>
      </tr>
      @endforeach
    </tbody>
    @endif
  </table>
  @include('ajax.paginacion')
</div>
<script>
  function ejecutarPeticionAjaxBuscar(page) {
    let categoria_filtro = $('#categoria_filtro').val();

    let formData = new FormData();
    formData.append('categoria_filtro', categoria_filtro);
    formData.append('page', page);
    $.ajax({
      url: "gestor-faqs/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function(data) {
        $('#table_data').html(data);
        //console.log(data);
      }
    });
  }
</script>