<div class="table-responsive">
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col" width="15%">Subcategoria</th>
        <th scope="col" width="50%">Título</th>
        <th scope="col" width="10%">Estatus</th>
        <th scope="col" width="25%">
          <div align="center">Acciones</div>
        </th>
      </tr>
    </thead>
    @if (count($tutoriales) > 0)
    <tbody id="load">
      @foreach($tutoriales as $row)
      <tr>
        <th scope="row">
          <span class="mb-0 text-sm">{{ $row->subcategoria }}</span>
        </th>
        <td>
          <span class="mb-0 text-sm">{{ $row->titulo }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">@if ($row->publicada == 1) Publicada @elseif ($row->publicada == 0) Despublicada @endif</span>
        </td>
        <td class="text-center">
          <div class="dropdown">
            <a class="btn btn-sm btn-icon-only text-light" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-ellipsis-v"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">

              <a class="dropdown-item modificar" href="gestor-tutoriales/editar/{{$row->id}}">Modificar tutorial</a>
              @if ($row->publicada == 0 && $row->eliminada == 0)
              <a class="dropdown-item eliminar" data-toggle="modal" data-target="#modal-default" data-id="{{$row->id}}">Eliminar tutorial</a>
              @endif

            </div>
          </div>
        </td>
      </tr>
      @endforeach
    </tbody>
    @endif
  </table>
  @include('ajax.paginacion')
</div>

<script>
  function ejecutarPeticionAjaxBuscar(page) {
    let categoria_filtro = $('#categoria_filtro').val();
    let subcategoria_filtro = $('#subcategoria_filtro').val();

    let formData = new FormData();
    formData.append('categoria_filtro', categoria_filtro);
    formData.append('subcategoria_filtro', subcategoria_filtro);
    formData.append('page', page);
    /*    console.log(categoria_filtro + ' - ' + subcategoria_filtro);*/

    $.ajax({
      url: "gestor-tutoriales/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function(data) {
        $('#table_data').html(data);

      }
    });
  }
</script>