@inject('notificacion', 'App\Http\Controllers\NotificacionController')
<div class="table-responsive">
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col">Nombre</th>
        <th scope="col">Apellido</th>
        <th scope="col">Correo</th>
        <th scope="col">Tipo</th>
        <th scope="col">Estatus</th>
        <th scope="col">Acciones</th>
      </tr>
    </thead>
    @if (count($data) > 0)
    <tbody id="load">
      @foreach($data as $row)
      <tr>
        <th scope="row">
          <span class="mb-0 text-sm">{{ $row->name }}</span>
        </th>
        <td>
          <span class="mb-0 text-sm">{{ $row->surname }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->email }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->role_user }}</span>
        </td>
        <td>
          {!! $notificacion->showEstatus($row->estatus) !!}
        </td>
        <td class="text-center">
          <button type="button" class="btn btn-default btn-sm modal-click" data-id="{{ $row->id }}" data-toggle="modal" data-target="#modal-default">Enviar notificación</button>
        </td>
      </tr>
      @endforeach
    </tbody>
    @endif
  </table>
  @include('ajax.paginacion')
</div>

<script>
  function ejecutarPeticionAjaxBuscar(page) {
    let busqueda = $('#cadian_buscar').val();

    let formData = new FormData();
    formData.append('busqueda', busqueda);
    formData.append('page', page);
    $.ajax({
      url: "notificaciones/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function(data) {
        $('#table_data').html(data);
      }
    });
  }
</script>