<div class="table-responsive">
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col">Estatus</th>
        <th scope="col">Nombre</th>
        <th scope="col">Motivo</th>
        <th scope="col">Fecha movimiento</th>
        <th scope="col">Administrador</th>
      </tr>
    </thead>
    @if (count($solicitudes) > 0)
    <tbody id="load">
      @foreach($solicitudes as $row)
      <tr>
        <th scope="row">
          <span class="mb-0 text-sm">
            @if ($row->estatus == 1)
            ACEPTADA
            @elseif ($row->estatus == 0)
            RECHAZADA
            @endif
          </span>
        </th>
        <td>
          <span class="mb-0 text-sm">{{ $row->nombre . " " . $row->apellidos }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->motivo }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->fecha_movimiento }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->name . " " . $row->surname }} </span>
        </td>
      </tr>
      @endforeach
    </tbody>
    @endif
  </table>
  @include('ajax.paginacion')
</div>

<script>
  function ejecutarPeticionAjaxBuscar(page) {
    estatus = $('#estatus_filtro').val();
    fecha_inicio = $('#fecha_inicio_filtro').val();
    fecha_termino = $('#fecha_termino_filtro').val();

    let formData = new FormData();
    formData.append('estatus_filtro', estatus);
    formData.append('fecha_inicio_filtro', fecha_inicio);
    formData.append('fecha_termino_filtro', fecha_termino);
    formData.append('page', page);

    $.ajax({
      url: "reporte-solicitudes/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function(data) {
        $('#table_data').html(data);
        /*  console.log(data) */
      }
    });
  }
</script>