@inject('estatusCliente', 'App\Http\Controllers\ReporteTransaccionController')
<div class="table-responsive">
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col">Transacción</th>
        <th scope="col">Monto</th>
        <th scope="col">Fecha</th>
        <th scope="col">Usuario</th>
      </tr>
    </thead>
    @if (count($transacciones) > 0)
    <tbody id="load">
      @foreach($transacciones as $row)
      <tr>
        <th scope="row">
          <span class="mb-0 text-sm">{{ $row->tipo_transaccion }}</span>
        </th>
        <td>
          <span class="mb-0 text-sm">{{ $row->monto }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->fecha }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->name . " " . $row->surname }} </span>
        </td>
      </tr>
      @endforeach
    </tbody>
    @endif
  </table>
  @include('ajax.paginacion')
</div>

<script>
  function ejecutarPeticionAjaxBuscar(page) {
    tipo = $('#tipo_filtro').val();
    fecha_inicio = $('#fecha_inicio_filtro').val();
    fecha_termino = $('#fecha_termino_filtro').val();

    let formData = new FormData();
    formData.append('tipo_filtro', tipo);
    formData.append('fecha_inicio_filtro', fecha_inicio);
    formData.append('fecha_termino_filtro', fecha_termino);
    formData.append('page', page);
    $.ajax({
      url: "reporte-transacciones/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function(data) {
        $('#table_data').html(data);
        /* console.log(data); */
      }
    });
  }
</script>