@inject('estatusCliente', 'App\Http\Controllers\ReporteUsuarioController')
<div class="table-responsive">
  <table class="table align-items-center table-flush">
    <thead class="thead-light">
      <tr>
        <th scope="col">Nombre</th>
        <th scope="col">Correo</th>
        <th scope="col">Fecha registro</th>
        <th scope="col">Ciudad</th>
        <th scope="col">Estatus</th>
        <th scope="col">Acciones</th>
      </tr>
    </thead>
    @if (count($data) > 0)
    <tbody id="load">
      @foreach($data as $row)
      <tr>
        <th scope="row">
          <span class="mb-0 text-sm">{{ $row->nombre }}</span>
        </th>
        <td>
          <span class="mb-0 text-sm">{{ $row->correo }}</span>
        </td>
        <td>
          <span class="mb-0 text-sm">{{ $row->fecha_crea }}</span>
        </td>
        <td>
          Ciudad
        </td>
        <td>

        </td>
        <td class="text-center">
          <div class="dropdown">
            <a class="btn btn-sm btn-icon-only text-light" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <i class="fas fa-ellipsis-v"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">
              @if ($row->estatus == 1)
              <a class="dropdown-item suspender" data-id="{{$row->id_cliente}}" data-estatus="3" href="#">Suspender</a>
              <a class="dropdown-item cancelar" data-id="{{$row->id_cliente}}" data-estatus="4" href="#">Cancelar</a>
              @elseif ($row->estatus == 2)
              <a class="dropdown-item autorizar" data-id="{{$row->id_cliente}}" data-estatus="1" href="#">Autorizar</a>
              <a class="dropdown-item rechazar" data-id="{{$row->id_cliente}}" data-estatus="4" href="#">Rechazar</a>
              @endif
            </div>
          </div>
        </td>
      </tr>
      @endforeach
    </tbody>
    @endif
  </table>
  @include('ajax.paginacion')
</div>

<script>
  function actualizarFiltro() {
    clase = $('#clase_usuario_filter').val();
    tipo = $('#tipo_usuario_filter').val();
    estatus = $('#estatus_filter').val();
  }

  function ejecutarPeticionAjaxBuscar(page) {
    actualizarFiltro();

    let formData = new FormData();
    formData.append('clase', clase);
    formData.append('tipo', tipo);
    formData.append('estatus', estatus);
    formData.append('page', page);
    /*   console.log(clase);
      console.log(tipo);
      console.log(estatus); */

    $.ajax({
      url: "reporte-usuarios/buscar",
      data: formData,
      headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      },
      method: "POST",
      processData: false,
      contentType: false,
      success: function(data) {
        $('#table_data').html(data);
        /*  console.log(data); */
      }
    });
  }
</script>