@extends('layouts.app')
<?php $string_title = "Gestor del Blog - Nuevo"; ?>
@section('content')
<meta name="csrf-token" content="{{ csrf_token() }}" />
<div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
        <div class="header-body">
        </div>
    </div>
</div>
<div class="container-fluid mt--7">
    <div class="col">
        <div class="card shadow">
            <div class="card-header border-0">
                <div class="row">
                    <h3 class="mt-2 ml-2 mr-4">Nueva publicación:</h3>
                </div>
            </div>

            <div class="col-lg-12 mb-3">
                <div class="row">
                    <div class="col-lg-7 mb-3">

                        <div class="form-group">
                            <label for="id_categoria">Categoría</label>
                            <select class="form-control form-control-alternative mb-2" id="id_categoria">
                                @foreach($categorias as $row)
                                <option value="{{ $row->id }}">{{ $row->nombre }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="id_subcategoria">Subcategoría</label>
                            <select class="form-control form-control-alternative mb-2" id="id_subcategoria">
                                @foreach($subcategorias as $row)
                                <option value="{{ $row->id }}">{{ $row->nombre }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="titulo">Título</label>
                            <textarea id="titulo" class="form-control" rows="3"></textarea>
                        </div>
                    </div>

                    <div class="col-lg-5 mb-3">
                        <div class="form-group">
                            <label for="img_miniatura">Imagen</label>
                            <div class="custom-file">
                                <input type="file" class="custom-file-input" id="img_miniatura" onchange="previewFile()">
                                <label class="custom-file-label" for="foto">Selecciona imagen para la publicación</label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="media align-items-center">
                                <img id="img" class="card-img-top" src="{{ asset("storage/blog/imagen_previa.jpg") }}">
                            </div>
                        </div>

                    </div>

                    <div class="col-lg-12 mb-3">
                        <div class="form-group">
                            <label for="descripcion">Descripción</label>
                            <div id="editor1"></div>
                        </div>
                    </div>

                    <div class="col-lg-12 mb-3">
                        <div class="col-md-3">
                            <div class="form-group">
                                <button type="button" id="guardar" class="btn btn-success">Guardar</button>
                                <input type="hidden" id="id" name="id" value="">
                            </div>
                        </div>



                        <div class="col-md-3 col-md-offset-4">
                            <div class="form-group">
                                <button type="button" id="regresar" class="btn btn-success" onclick="window.location.href = '../gestor-blog';">Regresar</button>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
    @include('layouts.footers.auth')

</div>
@endsection


@push('js')
<script src="https://cdn.ckeditor.com/ckeditor5/17.0.0/classic/ckeditor.js"></script>



<script type="text/javascript">
    function previewFile() {
        var preview = document.getElementById("img");
        var file = document.querySelector('input[type=file]').files[0];
        var reader = new FileReader();

        reader.onloadend = function() {
            preview.src = reader.result;
        }

        if (file) {
            reader.readAsDataURL(file);
        } else {
            preview.src = "";
        }

    }

    editor1.editing.view.change(writer => {
        writer.setStyle('height', '200px', editor.editing.view.document.getRoot());
    });
</script>
<script src="{{ asset('assets/js/gestor-blog-nuevo.js') }}"></script>
<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush