@extends('layouts.app')

<?php
$resultado = $accion == "NUEVO" ? 'Nuevo' : 'Actualizar';
$string_title = "Gestor de Preguntas y Respuestas (FAQs) - " .
    $resultado; ?>
@section('content')
<meta name="csrf-token" content="{{ csrf_token() }}" />
<div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
        <div class="header-body">
        </div>
    </div>
</div>
<div class="container-fluid mt--7">
    <div class="col">
        <div class="card shadow">
            <div class="card-header border-0">
                <div class="row">
                    <h3 class="mt-2 ml-2 mr-4">
                        @if($accion == 'NUEVO')
                        Nueva
                        @else
                        Actualizar
                        @endif
                        Pregunta / Respuesta:
                    </h3>
                </div>
            </div>

            <div class="col-lg-12 mb-3">
                <div class="row">

                    <div class="col-lg-7 mb-3">
                        <div class="form-group">
                            <label for="id_categoria">Categoría</label>
                            <select class="form-control form-control-alternative mb-2" id="id_categoria">
                                @foreach($categorias as $row)
                                <option value="{{ $row->id_categoria }}" @if($row->id == $row->nombre) selected @endif >{{ $row->nombre }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>

                    <div class="col-lg-12 mb-3">
                        <div class="form-group">
                            <label for="pregunta">Pregunta</label>
                            <textarea rows="5" id="pregunta" name="pregunta" class="form-control">@if($accion == 'EDITAR') {{ $pregunta->pregunta }} @endif</textarea>
                        </div>
                    </div>

                    <div class="col-lg-12 mb-3">
                        <div class="form-group">
                            <label for="respuesta">Respuesta</label>
                            <textarea rows="10" id="respuesta" name="respuesta" class="form-control">@if($accion == 'EDITAR') {{ $pregunta->respuesta }} @endif</textarea>
                        </div>
                    </div>

                    <div class="col-lg-12 mb-3">
                        <div class="col-md-3">
                            <div class="form-group">
                                @if($accion == 'NUEVO')
                                <button type="button" id="guardar" class="btn btn-success">Guardar</button>
                                @elseif($accion == 'EDITAR')
                                <button type="button" id="actualizar" class="btn btn-success">Actualizar</button>
                                <input type="hidden" id="id_pregunta" name="id_pregunta" value="{{ $pregunta->id_pregunta }}">
                                @endif
                            </div>
                        </div>



                        <div class="col-md-3 col-md-offset-4">
                            <div class="form-group">
                                <button type="button" id="regresar" class="btn btn-success" onclick="window.location.href = '../../gestor-faqs';">Regresar</button>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
    @include('layouts.footers.auth')

</div>
@endsection


@push('js')
<script src="{{ asset('assets/js/gestor-faqs-forma.js') }}"></script>
<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush