@extends('layouts.app')
<?php $string_title = "Gestor de Tutoriales - Modificar"; ?>
@section('content')

<div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
        <div class="header-body">
        </div>
    </div>
</div>
<div class="container-fluid mt--7">
    <div class="col">
        <div class="card shadow">
            <div class="card-header border-0">
                <div class="row">
                    <h3 class="mt-2 ml-2 mr-4">Nuevo tutorial:</h3>
                </div>
            </div>
            <form method="post" id="tutorialForm">

                <div class="col-lg-12 mb-3">
                    <div class="row">
                        <div class="col-lg-7 mb-3">

                            <div class="form-group">
                                <label for="id_categoria">Categoría</label>
                                <select class="form-control form-control-alternative mb-2" id="id_categoria">
                                    @foreach($categorias as $row)
                                    <option value="{{ $row->id }}" @if ($row->id == $subcategoria->key_categoria) selected @endif >{{ $row->nombre }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="id_subcategoria">Subcategoría</label>
                                <select class="form-control form-control-alternative mb-2" id="id_subcategoria">
                                    @foreach($subcategorias as $row)
                                    <option value="{{ $row->id }}" @if ($row->id == $subcategoria->key_subcategoria) selected @endif >{{ $row->nombre }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="titulo">Título</label>
                                <textarea id="titulo" class="form-control" rows="3">{{ $tutorial->titulo }}</textarea>
                            </div>
                        </div>

                        <div class="col-lg-5 mb-3">

                            <div class="form-group">
                                <label for="img_miniatura">Imagen</label>
                                <div class="custom-file">
                                    {{ csrf_field() }}
                                    <input type="file" class="custom-file-input" value="{{ $tutorial->img_miniatura }}" id="img_miniatura" name="img_miniatura" onchange="previewFile()">
                                    <label class="custom-file-label" for="foto">Actualizar imagen para tutorial</label>
                                    <input type="hidden" id="img_actual" value="{{ $tutorial->img_miniatura }}">
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="media align-items-center">
                                    @if( $tutorial->img_miniatura != "" )
                                    <img id="img" class="card-img-top" src="{{ asset("assets/storage/tutoriales/".$tutorial->img_miniatura) }}">
                                    @elseif ( $tutorial->img_miniatura == "" )
                                    <img id="img" class="card-img-top" src="{{ asset("assets/storage/tutoriales/imagen_previa.jpg") }}">
                                    @endif
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-8 mb-3">

                            <div class="form-group">
                                <label for="descripcion">Descripción</label>
                                <div class="alert alert-primary" role="alert">
                                    Si desea agregar un video de Youtube, copie el enlace del video dentro del campo de texto. También es posible cambiar el formato del texto, seleccionado lo que desea cambia y aparecerá la barra de formato.
                                </div>
                                <div id="editor1" style="border-color: gray;">{!! html_entity_decode($tutorial->descripcion) !!}</div>
                            </div>
                        </div>

                        <div class="col-lg-12 mb-3">


                            <div class="col-lg-3 mb-3">
                                <div class="form-group">
                                    <label for="publicada">Estatus</label>
                                    <select class="form-control form-control-alternative mb-2" id="publicada">
                                        <option value="1" @if($tutorial->publicada == 1) selected @endif>Publicada</option>
                                        <option value="0" @if($tutorial->publicada == 0) selected @endif>Despublicada</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <button type="button" id="modificar" class="btn btn-success">Modificar</button>
                                    <input type="hidden" id="id" name="id" value="{{ $tutorial->id }}">
                                </div>
                            </div>



                            <div class="col-md-3 col-md-offset-4">
                                <div class="form-group">
                                    <button type="button" id="regresar" class="btn btn-success" onclick="window.location.href = '../../gestor-tutoriales';">Regresar</button>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
        </div>
    </div>
    @include('layouts.footers.auth')
</div>
@endsection




@push('js')
<script src="https://cdn.ckeditor.com/ckeditor5/19.1.1/balloon/ckeditor.js"></script>

<script src="{{asset('assets/js/gestor-tutoriales-editar.js')}}"></script>


<script type="text/javascript">
    function previewFile() {
        var preview = document.getElementById("img");
        var file = document.querySelector('input[type=file]').files[0];
        var reader = new FileReader();

        reader.onloadend = function() {
            preview.src = reader.result;
        }

        if (file) {
            reader.readAsDataURL(file);
        } else {
            preview.src = "";
        }

    }
</script>

<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush