@extends('layouts.app')
<?php $string_title = "Gestor de Usuarios - Modificar"; ?>
@section('content')

<div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
        <div class="header-body">
        </div>
    </div>
</div>
<div class="container-fluid mt--7">
    <div class="col">
        <div class="card shadow">
            <div class="card-header border-0">
                <div class="row">
                    <h3 class="mt-2 ml-2 mr-4">Modificación de usuario:
                        @if ($data->type_user == 1)
                        CADIAN
                        @elseif ($data->type_user == 2)
                        CLIENTE
                        @endif</h3>
                </div>
            </div>

            <div class="col-lg-12 mb-3">
                <div class="row">
                    <div class="col-lg-6 mb-3">

                        <div class="form-group">
                            <label for="name">Nombre</label>
                            <input type="text" class="form-control" id="name" placeholder="" value="{{ $data->name }}">
                        </div>

                        <div class="form-group">
                            <label for="surname">Apellido</label>
                            <input type="text" class="form-control" id="surname" placeholder="" value="{{ $data->surname }}">
                        </div>

                        <div class="form-group">
                            <label for="key_genero">Genero</label>
                            <select class="form-control" id="key_genero">
                                @foreach($generos as $row)
                                <option value="{{ $row->id_genero }}" @if ($row->id_genero == $usuario->key_genero) selected @endif>{{ $row->nombre }}</option>
                                @endforeach
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control" id="email" placeholder="name@example.com" value="{{ $data->email }}">
                        </div>

                        <div class="form-group">
                            <label for="telefono">Teléfono</label>
                            <input type="number" class="form-control" id="telefono" placeholder="" value="{{ $usuario->telefono }}">
                        </div>

                        <div class="form-group">
                            <label for="direccion">Dirección</label>
                            <textarea class="form-control" id="direccion" rows="3">{{ $usuario->direccion }}</textarea>
                        </div>
                    </div>
                    <div class="col-lg-6 mb-3">
                        <div class="form-group">
                            <div class="media align-items-center">

                                @if( $usuario->foto == NULL )
                                <img id="img" class="rounded-circle img-responsive ng-star-inserted" style="width:180px;height:180px;object-fit: cover;object-position: left;" src="{{ asset("storage/usuarios/usuario_sin_foto.png") }}">
                                @elseif ( $usuario->foto != NULL )
                                <img id="img" class="rounded-circle img-responsive ng-star-inserted" style="width:180px;height:180px;object-fit: cover;object-position: left;" src="http://api-cad.cervixsoft.com/cad/api/user/image/profile/{{ $usuario->foto }}">
                                @endif

                            </div>
                        </div>



                        <div class="form-group">
                            <label for="acerca_de_mi">Acerca de mi</label>
                            <textarea class="form-control" id="acerca_de_mi" rows="3">{{ $usuario->acerca_de_mi }}</textarea>
                        </div>

                    </div>
                    <hr>

                    <div class="col-lg-6 mb-3">
                        @if ($data->type_user == 1)
                        <div class="form-group">
                            <label for="key_tipo_cadian">Tipo</label>
                            <select class="form-control" id="key_tipo_cadian" disabled>
                                <option value="">TRADICIONAL</option>
                            </select>
                        </div>

                        @if($usuario->key_tipo_cadian > 1)
                        <div class="form-group">
                            <label for="key_tipo_cadian_plus">Plus</label>
                            <select class="form-control" id="key_tipo_cadian_plus" disabled>
                                @foreach($tipos as $row)
                                <option value="{{ $row->id_tipo_cadian }}" @if ($row->id_tipo_cadian == $usuario->key_tipo_cadian) selected @endif>{{ $row->nombre }}</option>
                                @endforeach
                            </select>
                        </div>
                        @endif

                        <div class="form-group">
                            <label for="key_formacion">Formación</label>
                            <select class="form-control" id="key_formacion">
                                @foreach($formacion as $row)
                                <option value="{{ $row->id_formacion }}" @if ($row->id_formacion == $usuario->key_formacion) selected @endif>{{ $row->nombre }}</option>
                                @endforeach
                            </select>
                        </div>
                        @elseif ($data->type_user == 2)

                        <div class="form-group">
                            <label for="key_tipo_cliente">Tipo</label>
                            <select class="form-control" id="key_tipo_cliente" disabled>
                                <option value="">TRADICIONAL</option>
                            </select>
                        </div>

                        @endif
                    </div>



                    <div class="col-lg-6 mb-3">
                        <div class="form-group">
                            <label for="contrasena">Nueva contraseña</label>
                            <input type="password" class="form-control" id="contrasena" placeholder="" value="">
                        </div>

                        <div class="form-group">
                            <label for="contrasena_confirm">Confirma contraseña</label>
                            <input type="password" class="form-control" id="contrasena_confirm" placeholder="" value="">
                        </div>

                    </div>


                    <div class="col-lg-6 mb-3">
                        <div class="form-group">
                            <label for="status">Status User</label>
                            <select class="form-control" id="status">
                                <option value="1" @if ($data->status == 1) selected @endif >Activado</option>
                                <option value="2" @if ($data->status == 2) selected @endif >Baneado</option>
                            </select>
                        </div>
                    </div>

                    <div class="col-lg-12 mb-3">
                        <div class="col-md-3">
                            <div class="form-group">
                                <button type="button" id="modificar" class="btn btn-success">Modificar</button>
                                <input type="hidden" id="id" name="id" value="{{ $data->id }}">
                                <input type="hidden" id="type_user" name="type_user" value="{{ $data->type_user }}">
                            </div>
                        </div>



                        <div class="col-md-3 col-md-offset-4">
                            <div class="form-group">
                                <button type="button" id="regresar" class="btn btn-success" onclick="window.location.href = '../../gestor-usuarios';">Regresar</button>
                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </div>
    @include('layouts.footers.auth')
</div>
@endsection

<!-- Modal -->

@push('js')
<script src="{{asset('assets/js/gestor-usuarios-forma.js')}}"></script>

<script type="text/javascript">
    function previewFile() {
        var preview = document.getElementById("img");
        var file = document.querySelector('input[type=file]').files[0];
        var reader = new FileReader();

        reader.onloadend = function() {
            preview.src = reader.result;
        }

        if (file) {
            reader.readAsDataURL(file);
        } else {
            preview.src = "";
        }

    }
</script>
<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.min.js"></script>
<script src="{{ asset('argon') }}/vendor/chart.js/dist/Chart.extension.js"></script>
@endpush