<?php

use Illuminate\Support\Facades\Route;
use App\Models\User;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/* 
Route::get('/home', function () {
	return view('welcome');
}); */

Route::get('/prueba', function () {
	return User::find(425)->password;
});
Route::get('/prueba2', function () {
	/* 	$user = User::find(16);
	return $user->password; */
});
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

/* Route::get('/', 'UserController@dashboard');
 */


/* Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home'); */
Auth::routes();

// **** Login **** //
Route::get('/', ['uses' => 'App\Http\Controllers\UserController@dashboard']);/* 
Route::post('/login', ['uses' => 'App\Http\Controllers\UserController@login']);
Route::get('/login', ['as' => 'dashboard', 'uses' => 'App\Http\Controllers\UserController@login_view']); */

Route::group(['middleware' => 'auth'], function () {
	Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
	Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
	Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
	Route::get('upgrade', function () {
		return view('pages.upgrade');
	})->name('upgrade');
	Route::get('map', function () {
		return view('pages.maps');
	})->name('map');
	Route::get('icons', function () {
		return view('pages.icons');
	})->name('icons');
	Route::get('table-list', function () {
		return view('pages.tables');
	})->name('table');
	Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);


	// ** REPORTE BALANCES PENDIENTES ** //
	Route::get('/reporte-balances-pendientes', ['uses' => 'App\Http\Controllers\ReporteBalancePendienteController@index']);
	Route::post('reporte-balances-pendientes/buscar', ['uses' => 'App\Http\Controllers\ReporteBalancePendienteController@ajaxBuscar']);
	Route::get('reporte-balances-pendientes/fetch_data', ['uses' => 'App\Http\Controllers\ReporteBalancePendienteController@ajaxPaginacion']);
	Route::post('reporte-balances-pendientes/datos-reserva', ['uses' => 'App\Http\Controllers\ReporteBalancePendienteController@ajaxVerDatosReserva']);
	Route::post('reporte-balances-pendientes/liberar-balance-pendiente', ['uses' => 'App\Http\Controllers\ReporteBalancePendienteController@liberarBalancePendiente']);
	Route::post('reporte-balances-pendientes/cancelar-balance-pendiente', ['uses' => 'App\Http\Controllers\ReporteBalancePendienteController@cancelarBalancePendiente']);

	// ** REPORTE TRANSACCIONES ** //
	Route::get('/reporte-transacciones', ['uses' => 'App\Http\Controllers\ReporteTransaccionController@index']);
	Route::post('reporte-transacciones/buscar', ['uses' => 'App\Http\Controllers\ReporteTransaccionController@ajaxBuscar']);
	Route::get('reporte-transacciones/fetch_data', ['uses' => 'App\Http\Controllers\ReporteTransaccionController@ajaxPaginacion']);

	// ** REPORTE MULTAS ** //
	Route::get('/reporte-multas', ['uses' => 'App\Http\Controllers\ReporteMultaController@index']);
	Route::post('reporte-multas/buscar', ['uses' => 'App\Http\Controllers\ReporteMultaController@ajaxBuscar']);
	Route::get('reporte-multas/fetch_data', ['uses' => 'App\Http\Controllers\ReporteMultaController@ajaxPaginacion']);

	// ** REPORTE PENALIZACIONES ** //
	Route::get('/reporte-penalizaciones', ['uses' => 'App\Http\Controllers\ReportePenalizacionController@index']);
	Route::post('reporte-penalizaciones/buscar', ['uses' => 'App\Http\Controllers\ReportePenalizacionController@ajaxBuscar']);
	Route::get('reporte-penalizaciones/fetch_data', ['uses' => 'App\Http\Controllers\ReportePenalizacionController@ajaxPaginacion']);

	// ** REPORTE MOVIMIENTOS ** //
	Route::get('/reporte-movimientos', ['uses' => 'App\Http\Controllers\ReporteMovimientoController@index']);
	Route::post('reporte-movimientos/buscar', ['uses' => 'App\Http\Controllers\ReporteMovimientoController@ajaxBuscar']);
	Route::get('reporte-movimientos/fetch_data', ['uses' => 'App\Http\Controllers\ReporteMovimientoController@ajaxPaginacion']);

	// ** REPORTE SOLICITUDES CADIAN ** //
	Route::get('/reporte-solicitudes', ['uses' => 'App\Http\Controllers\ReporteSolicitudCadianController@index']);
	Route::post('reporte-solicitudes/buscar', ['uses' => 'App\Http\Controllers\ReporteSolicitudCadianController@ajaxBuscar']);
	Route::get('reporte-solicitudes/fetch_data', ['uses' => 'App\Http\Controllers\ReporteSolicitudCadianController@ajaxPaginacion']);

	// ** REPORTE USUARIOS ** //
	Route::get('/reporte-usuarios', ['uses' => 'App\Http\Controllers\ReporteUsuarioController@index']);
	Route::get('reporte-usuarios/tipo/{clase}', ['uses' => 'App\Http\Controllers\ReporteUsuarioController@ajaxBuscarTipo']);
	Route::post('reporte-usuarios/buscar', ['uses' => 'App\Http\Controllers\ReporteUsuarioController@ajaxBuscar']);
	Route::get('reporte-usuarios/fetch_data', ['uses' => 'App\Http\Controllers\ReporteUsuarioController@ajaxPaginacion']);
	//Route::post('reporte-usuarios/cambiar', 'ReporteUsuarioController@cambiar');

	// ** GERTOR CONFIGURACIONES ** //
	Route::get('/gestor-configuracion', ['uses' => 'App\Http\Controllers\GestorConfiguracionController@index']);
	Route::post('gestor-configuracion/modificar', ['uses' => 'App\Http\Controllers\GestorConfiguracionController@modificar']);

	// ** GERTOR CATEGORIAS FAQS ** //
	Route::get('/gestor-categorias-faqs', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@index']);
	Route::post('gestor-categorias-faqs/buscar', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@ajaxBuscar']);
	Route::get('gestor-categorias-faqs/fetch_data/{page}/{id_categoria}', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@ajaxPaginacion']);
	Route::get('gestor-categorias-faqs/subcategorias/{id_categoria}', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@ajaxBuscarSubcategoria']);
	Route::get('gestor-categorias-faqs/nuevo', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@nuevo']);
	Route::post('gestor-categorias-faqs/guardar', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@guardar']);
	Route::get('gestor-categorias-faqs/editar/{id_pregunta}', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@editar']);
	Route::post('gestor-categorias-faqs/modificar', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@modificar']);
	Route::post('gestor-categorias-faqs/ver-pregunta', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@ajaxVerPregunta']);
	Route::post('gestor-categorias-faqs/eliminar-pregunta', ['uses' => 'App\Http\Controllers\GestorCategoriasFaqsController@eliminar']);

	// ** GERTOR FAQS ** //
	Route::get('/gestor-faqs', ['uses' => 'App\Http\Controllers\GestorFaqsController@index']);
	Route::post('gestor-faqs/buscar', ['uses' => 'App\Http\Controllers\GestorFaqsController@ajaxBuscar']);
	Route::get('gestor-faqs/fetch_data', ['uses' => 'App\Http\Controllers\GestorFaqsController@ajaxPaginacion']);
	Route::get('gestor-faqs/subcategorias/{id_categoria}', ['uses' => 'App\Http\Controllers\GestorFaqsController@ajaxBuscarSubcategoria']);
	Route::get('gestor-faqs/nuevo', ['uses' => 'App\Http\Controllers\GestorFaqsController@nuevo']);
	Route::post('gestor-faqs/guardar', ['uses' => 'App\Http\Controllers\GestorFaqsController@guardar']);
	Route::get('gestor-faqs/editar/{id_pregunta}', ['uses' => 'App\Http\Controllers\GestorFaqsController@editar']);
	Route::post('gestor-faqs/modificar', ['uses' => 'App\Http\Controllers\GestorFaqsController@modificar']);
	Route::post('gestor-faqs/ver-pregunta', ['uses' => 'App\Http\Controllers\GestorFaqsController@ajaxVerPregunta']);
	Route::post('gestor-faqs/eliminar-pregunta', ['uses' => 'App\Http\Controllers\GestorFaqsController@eliminar']);

	// ** GERTOR BLOG ** //
	Route::get('/gestor-blog', ['uses' => 'App\Http\Controllers\GestorBlogController@index']);
	Route::post('gestor-blog/buscar', ['uses' => 'App\Http\Controllers\GestorBlogController@ajaxBuscar']);
	Route::get('gestor-blog/fetch_data', ['uses' => 'App\Http\Controllers\GestorBlogController@ajaxPaginacion']);
	Route::get('gestor-blog/subcategorias/{id_categoria}', ['uses' => 'App\Http\Controllers\GestorBlogController@ajaxBuscarSubcategoria']);
	Route::get('gestor-blog/nuevo', ['uses' => 'App\Http\Controllers\GestorBlogController@nuevo']);
	Route::post('gestor-blog/guardar', ['uses' => 'App\Http\Controllers\GestorBlogController@guardar']);
	Route::get('gestor-blog/editar/{id_tutorial}', ['uses' => 'App\Http\Controllers\GestorBlogController@editar']);
	Route::post('gestor-blog/modificar', ['uses' => 'App\Http\Controllers\GestorBlogController@modificar']);
	Route::post('gestor-blog/ver-publicacion', ['uses' => 'App\Http\Controllers\GestorBlogController@ajaxVerPublicacion']);
	Route::post('gestor-blog/eliminar-publicacion', ['uses' => 'App\Http\Controllers\GestorBlogController@eliminar']);

	// ** GERTOR TUTORIALES ** //
	Route::get('/gestor-tutoriales',  ['uses' => 'App\Http\Controllers\GestorTutorialController@index']);
	Route::post('gestor-tutoriales/buscar', ['uses' => 'App\Http\Controllers\GestorTutorialController@ajaxBuscar']);
	Route::get('gestor-tutoriales/fetch_data', ['uses' => 'App\Http\Controllers\GestorTutorialController@ajaxPaginacion']);
	Route::get('gestor-tutoriales/subcategorias/{id_categoria}', ['uses' => 'App\Http\Controllers\GestorTutorialController@ajaxBuscarSubcategoria']);
	Route::get('gestor-tutoriales/nuevo', ['uses' => 'App\Http\Controllers\GestorTutorialController@nuevo']);
	Route::post('gestor-tutoriales/guardar', ['uses' => 'App\Http\Controllers\GestorTutorialController@guardar']);
	Route::get('gestor-tutoriales/editar/{id_tutorial}', ['uses' => 'App\Http\Controllers\GestorTutorialController@editar']);
	Route::post('gestor-tutoriales/modificar', ['uses' => 'App\Http\Controllers\GestorTutorialController@modificar']);
	Route::post('gestor-tutoriales/ver-tutorial', ['uses' => 'App\Http\Controllers\GestorTutorialController@ajaxVerTutorial']);
	Route::post('gestor-tutoriales/eliminar-tutorial', ['uses' => 'App\Http\Controllers\GestorTutorialController@eliminar']);

	// ** GERTOR USUARIOS ** //
	Route::get('/gestor-usuarios', ['uses' => 'App\Http\Controllers\GestorUsuarioController@index']);
	Route::post('gestor-usuarios/buscar', ['uses' => 'App\Http\Controllers\GestorUsuarioController@ajaxBuscar']);
	Route::get('gestor-usuarios/fetch_data', ['uses' => 'App\Http\Controllers\GestorUsuarioController@ajaxPaginacion']);
	Route::get('gestor-usuarios/forma/{id_user}', ['uses' => 'App\Http\Controllers\GestorUsuarioController@forma']);
	Route::post('gestor-usuarios/modificar', ['uses' => 'App\Http\Controllers\GestorUsuarioController@modificar']);
	Route::post('gestor-usuarios/token-acceso', ['uses' => 'App\Http\Controllers\GestorUsuarioController@tokenAcceso']);
	Route::post('gestor-usuarios/ver-usuario', ['uses' => 'App\Http\Controllers\GestorUsuarioController@ajaxVerUsuario']);

	// ** ESTATUS CADIAN ** //
	Route::get('/estatus-cadians', ['uses' => 'App\Http\Controllers\EstatusCadianController@index']);
	Route::get('estatus-cadians/fetch_data', ['uses' => 'App\Http\Controllers\EstatusCadianController@ajaxPaginacion']);
	Route::post('estatus-cadians/buscar', ['uses' => 'App\Http\Controllers\EstatusCadianController@ajaxBuscar']);
	Route::post('estatus-cadians/cambiar', ['uses' => 'App\Http\Controllers\EstatusCadianController@cambiar']);

	// ** ESTATUS CADIAN DOCUMENTACION** //
	Route::post('estatus-cadians/ver-doctos',  ['uses' => 'App\Http\Controllers\DoctoController@ajaxVerDoctos']);
	Route::post('estatus-cadians/aceptar-doctos', ['uses' => 'App\Http\Controllers\DoctoController@aceptarDoctos']);
	Route::post('estatus-cadians/rechazar-doctos', ['uses' => 'App\Http\Controllers\DoctoController@rechazarDoctos']);
	Route::post('estatus-cadians/aceptar-documento', ['uses' => 'App\Http\Controllers\DoctoController@aceptarDocumento']);
	Route::post('estatus-cadians/rechazar-documento', ['uses' => 'App\Http\Controllers\DoctoController@rechazarDocumento']);
	Route::post('estatus-cadians/volver-revisar-documento', ['uses' => 'App\Http\Controllers\DoctoController@volverRevisarDocumento']);
	Route::post('estatus-cadians/aceptar-verificacion', ['uses' => 'App\Http\Controllers\DoctoController@aceptarVerificacion']);
	Route::post('estatus-cadians/rechazar-verificacion', ['uses' => 'App\Http\Controllers\DoctoController@rechazarVerificacion']);

	// ** ESTATUS CLIENTE ** //
	Route::get('/estatus-clientes', ['uses' => 'App\Http\Controllers\EstatusClienteController@index']);
	Route::get('estatus-clientes/fetch_data', ['uses' => 'App\Http\Controllers\EstatusClienteController@ajaxPaginacion']);
	Route::post('estatus-clientes/buscar', ['uses' => 'App\Http\Controllers\EstatusClienteController@ajaxBuscar']);
	Route::post('estatus-clientes/cambiar', ['uses' => 'App\Http\Controllers\EstatusClienteController@cambiar']);

	// ** ESTATUS CLIENTE DOCUMENTACION** //
	Route::post('estatus-clientes/ver-doctos', ['uses' => 'App\Http\Controllers\DoctoClienteController@ajaxVerDoctos']);
	//Route::post('estatus-clientes/aceptar-doctos', 'DoctoClienteController@aceptarDoctos');
	Route::post('estatus-clientes/rechazar-doctos', ['uses' => 'App\Http\Controllers\DoctoClienteController@rechazarDoctos']);
	Route::post('estatus-clientes/aceptar-documento', ['uses' => 'App\Http\Controllers\DoctoClienteController@aceptarDocumento']);
	Route::post('estatus-clientes/rechazar-documento', ['uses' => 'App\Http\Controllers\DoctoClienteController@rechazarDocumento']);
	Route::post('estatus-clientes/volver-revisar-documento', ['uses' => 'App\Http\Controllers\DoctoClienteController@volverRevisarDocumento']);

	// ** NOTIFICACIONES ** //
	Route::get('/notificaciones', ['uses' => 'App\Http\Controllers\NotificacionController@index']);
	Route::get('notificaciones/fetch_data', ['uses' => 'App\Http\Controllers\NotificacionController@ajaxPaginacion']);
	Route::post('notificaciones/buscar', ['uses' => 'App\Http\Controllers\NotificacionController@ajaxBuscar']);
	Route::post('notificaciones/enviar', ['uses' => 'App\Http\Controllers\NotificacionController@enviarNotificacion']);
});

// **** RUTAS SOLO PARA DESARROLLADORES *** //
Route::get('nuevo-controlador/{name}', function ($name) {
	$exitCode = Artisan::call('make:controller', ['name' => $name]);
});

Route::get('nuevo-modelo/{name}', function ($name) {
	$exitCode = Artisan::call('make:model', ['name' => $name]);
});

Route::get('nuevo-middleware/{name}', function ($name) {
	$exitCode = Artisan::call('make:middleware', ['name' => $name]);
});
