
<?php $string_title = "Gestor de Tutoriales - Modificar"; ?>
<?php $__env->startSection('content'); ?>

<div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
    <div class="container-fluid">
        <div class="header-body">
        </div>
    </div>
</div>
<div class="container-fluid mt--7">
    <div class="col">
        <div class="card shadow">
            <div class="card-header border-0">
                <div class="row">
                    <h3 class="mt-2 ml-2 mr-4">Nuevo tutorial:</h3>
                </div>
            </div>
            <form method="post" id="tutorialForm">

                <div class="col-lg-12 mb-3">
                    <div class="row">
                        <div class="col-lg-7 mb-3">

                            <div class="form-group">
                                <label for="id_categoria">Categoría</label>
                                <select class="form-control form-control-alternative mb-2" id="id_categoria">
                                    <?php $__currentLoopData = $categorias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($row->id); ?>" <?php if($row->id == $subcategoria->key_categoria): ?> selected <?php endif; ?> ><?php echo e($row->nombre); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="id_subcategoria">Subcategoría</label>
                                <select class="form-control form-control-alternative mb-2" id="id_subcategoria">
                                    <?php $__currentLoopData = $subcategorias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($row->id); ?>" <?php if($row->id == $subcategoria->key_subcategoria): ?> selected <?php endif; ?> ><?php echo e($row->nombre); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="titulo">Título</label>
                                <textarea id="titulo" class="form-control" rows="3"><?php echo e($tutorial->titulo); ?></textarea>
                            </div>
                        </div>

                        <div class="col-lg-5 mb-3">

                            <div class="form-group">
                                <label for="img_miniatura">Imagen</label>
                                <div class="custom-file">
                                    <?php echo e(csrf_field()); ?>

                                    <input type="file" class="custom-file-input" value="<?php echo e($tutorial->img_miniatura); ?>" id="img_miniatura" name="img_miniatura" onchange="previewFile()">
                                    <label class="custom-file-label" for="foto">Actualizar imagen para tutorial</label>
                                    <input type="hidden" id="img_actual" value="<?php echo e($tutorial->img_miniatura); ?>">
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="media align-items-center">
                                    <?php if( $tutorial->img_miniatura != "" ): ?>
                                    <img id="img" class="card-img-top" src="<?php echo e(asset("assets/storage/tutoriales/".$tutorial->img_miniatura)); ?>">
                                    <?php elseif( $tutorial->img_miniatura == "" ): ?>
                                    <img id="img" class="card-img-top" src="<?php echo e(asset("assets/storage/tutoriales/imagen_previa.jpg")); ?>">
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-8 mb-3">

                            <div class="form-group">
                                <label for="descripcion">Descripción</label>
                                <div class="alert alert-primary" role="alert">
                                    Si desea agregar un video de Youtube, copie el enlace del video dentro del campo de texto. También es posible cambiar el formato del texto, seleccionado lo que desea cambia y aparecerá la barra de formato.
                                </div>
                                <div id="editor1" style="border-color: gray;"><?php echo html_entity_decode($tutorial->descripcion); ?></div>
                            </div>
                        </div>

                        <div class="col-lg-12 mb-3">


                            <div class="col-lg-3 mb-3">
                                <div class="form-group">
                                    <label for="publicada">Estatus</label>
                                    <select class="form-control form-control-alternative mb-2" id="publicada">
                                        <option value="1" <?php if($tutorial->publicada == 1): ?> selected <?php endif; ?>>Publicada</option>
                                        <option value="0" <?php if($tutorial->publicada == 0): ?> selected <?php endif; ?>>Despublicada</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <button type="button" id="modificar" class="btn btn-success">Modificar</button>
                                    <input type="hidden" id="id" name="id" value="<?php echo e($tutorial->id); ?>">
                                </div>
                            </div>



                            <div class="col-md-3 col-md-offset-4">
                                <div class="form-group">
                                    <button type="button" id="regresar" class="btn btn-success" onclick="window.location.href = '../../gestor-tutoriales';">Regresar</button>
                                </div>
                            </div>

                        </div>

                    </div>
                </div>
        </div>
    </div>
    <?php echo $__env->make('layouts.footers.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</div>
<?php $__env->stopSection(); ?>




<?php $__env->startPush('js'); ?>
<script src="https://cdn.ckeditor.com/ckeditor5/19.1.1/balloon/ckeditor.js"></script>

<script src="<?php echo e(asset('assets/js/gestor-tutoriales-editar.js')); ?>"></script>


<script type="text/javascript">
    function previewFile() {
        var preview = document.getElementById("img");
        var file = document.querySelector('input[type=file]').files[0];
        var reader = new FileReader();

        reader.onloadend = function() {
            preview.src = reader.result;
        }

        if (file) {
            reader.readAsDataURL(file);
        } else {
            preview.src = "";
        }

    }
</script>

<script src="<?php echo e(asset('argon')); ?>/vendor/chart.js/dist/Chart.min.js"></script>
<script src="<?php echo e(asset('argon')); ?>/vendor/chart.js/dist/Chart.extension.js"></script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cervixsoft/public_html/admincad/resources/views/gestor-tutoriales-editar.blade.php ENDPATH**/ ?>